import { CompileOutput } from '../../src/types/compile_output';
export declare function compileGraphQL(query: string): string;
export declare function compileWithUserContext(username: string, query: string): string;
export declare function compileWithGroupContext(group: string, query: string): string;
export declare function compileWithProjectContext(project: string, query: string): string;
export declare function compileWithTimeFromString(referenceTime: string, query: string): string;
export declare function compileWithSort(query: string, sort: string): string;
export declare function compileWithFields(query: string, fields: string): string;
export declare function compileWithAggregate(query: string, groupBy: string, aggregate: string): CompileOutput;
export declare function normalizeGraphQL(graphql: string): string;
export declare function randomizeCase(s: string): string;
export declare function transformData(data: unknown, fields: string): import("../../src/types/transform_output").TransformOutput;
export declare function transformAggregatedData(data: unknown, groupBy: string, aggregate: string): import("../../src/types/transform_output").TransformOutput;
export declare function jsonify(input: unknown): unknown;
